Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
vagrant@development:~$ cd /var/apps/whitehall
vagrant@development:/var/apps/whitehall$ bundle
Fetching gem metadata from https://rubygems.org/.........
Using rake 12.3.0
Using Ascii85 1.0.3
Using PriorityQueue 0.1.2
Using concurrent-ruby 1.0.5
Using i18n 0.9.5
Using minitest 5.11.3
Using thread_safe 0.3.6
Using tzinfo 1.2.5
Using activesupport 5.0.6
Using builder 3.2.3
Using erubis 2.7.0
Using mini_portile2 2.3.0
Using nokogiri 1.8.2
Using rails-dom-testing 2.0.3
Using crass 1.0.3
Using loofah 2.2.0
Using rails-html-sanitizer 1.0.3
Using actionview 5.0.6
Using rack 2.0.4
Using rack-test 0.6.3
Using actionpack 5.0.6
Using nio4r 2.2.0
Using websocket-extensions 0.1.3
Using websocket-driver 0.6.5
Using actioncable 5.0.6
Using globalid 0.4.1
Using activejob 5.0.6
Using mini_mime 1.0.0
Using mail 2.7.0
Using actionmailer 5.0.6
Using activemodel 5.0.6
Using activemodel-serializers-xml 1.0.2
Using arel 7.1.4
Using activerecord 5.0.6
Using public_suffix 3.0.1
Using addressable 2.5.2
Using afm 0.2.2
Using bundler 1.16.1
Using method_source 0.9.0
Using thor 0.19.4
Using railties 5.0.6
Using sprockets 3.7.1
Using sprockets-rails 3.2.1
Using rails 5.0.6
Using rb-fsevent 0.10.2
Fetching ffi 1.9.21
Installing ffi 1.9.21 with native extensions
Gem::Ext::BuildError: ERROR: Failed to build gem native extension.
current directory: /tmp/user/1000/bundler20180220-6116-jut6liffi-1.9.21/gems/ffi-1.9.21/ext/ffi_c
/usr/lib/rbenv/versions/2.4.2/bin/ruby -r ./siteconf20180220-6116-1eaz9uy.rb extconf.rb
checking for ffi.h... no
checking for ffi.h in /usr/local/include,/usr/include/ffi... no
checking for shlwapi.h... no
checking for rb_thread_blocking_region()... no
checking for rb_thread_call_with_gvl()... yes
checking for rb_thread_call_without_gvl()... yes
creating extconf.h
creating Makefile
current directory: /tmp/user/1000/bundler20180220-6116-jut6liffi-1.9.21/gems/ffi-1.9.21/ext/ffi_c
make "DESTDIR=" clean
current directory: /tmp/user/1000/bundler20180220-6116-jut6liffi-1.9.21/gems/ffi-1.9.21/ext/ffi_c
make "DESTDIR="
Running autoreconf for libffi
/tmp/user/1000/bundler20180220-6116-jut6liffi-1.9.21/gems/ffi-1.9.21/ext/ffi_c/libffi/autogen.sh: 2: exec: autoreconf: not found
make: *** ["/tmp/user/1000/bundler20180220-6116-jut6liffi-1.9.21/gems/ffi-1.9.21/ext/ffi_c/libffi-x86_64-linux"/.libs/libffi_convenience.a] Error 127
make failed, exit code 2
Gem files will remain installed in /tmp/user/1000/bundler20180220-6116-jut6liffi-1.9.21/gems/ffi-1.9.21 for inspection.
Results logged to /tmp/user/1000/bundler20180220-6116-jut6liffi-1.9.21/extensions/x86_64-linux/2.4.0-static/ffi-1.9.21/gem_make.out
An error occurred while installing ffi (1.9.21), and Bundler cannot continue.
Make sure that `gem install ffi -v '1.9.21'` succeeds before bundling.
In Gemfile:
asset_bom_removal-rails was resolved to 1.0.2, which depends on
sass was resolved to 3.5.5, which depends on
sass-listen was resolved to 4.0.0, which depends on
rb-inotify was resolved to 0.9.10, which depends on
ffi
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.